package com.ai.android.Menus.frameanimation;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.Log;

public class SquareBrick extends BrickView 
{
	public SquareBrick(Context context)
	{
		super(context);
	}
    @Override protected void onDraw(Canvas canvas) 
    {
        Paint paint = new Paint();
        
        //Give a background color of Blue
        canvas.drawColor(Color.BLUE);
        
        //Give the paint a color of RED
        paint.setColor(Color.RED);
        paint.setStrokeWidth(3);
        
        Log.d("fv:","canvas width:" + canvas.getWidth());
        Log.d("fv:","canvas height:" + canvas.getHeight());
      
        int mh = this.getMeasuredHeight();
        int mw = this.getMeasuredWidth();
        
        Log.d("fv:","view width:" + mw);
        Log.d("fv:","view height:" + mh);
        
        canvas.drawRect(0,0,mw,mh,paint);
    }
}
